package com.zm.order.tool.server.model;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 
 *
 * @author mybatis-generator
 * @date   2023/07/13
 */
public class food extends foodKey {
    /**
     * 所属集团ID
     */
    private Long groupid;

    /**
     * 品牌ID
     */
    private Long brandid;

    /**
     * 店铺ID
     */
    private Long shopid;

    /**
     * 餐饮系统订单Key
     */
    private String saasorderkey;

    /**
     * 店铺名称
     */
    private String shopname;

    /**
     * 30：作废 40：已结账
     */
    private Integer orderstatus;

    /**
     * 订单类型（0：堂食 20：外卖 21：自提）
     */
    private Byte ordersubtype;

    /**
     * 明细记录Key
     */
    private String itemkey;

    /**
     * 配菜、退菜、作法加价对应的点菜记录ItemKey
     */
    private String parentfoodfromitemkey;

    /**
     * 区域名称
     */
    private String areaname;

    /**
     * 桌台名称
     */
    private String tablename;

    /**
     * 分类排序值
     */
    private Integer foodcategorysortindex;

    /**
     * 分类编号
     */
    private String foodcategorykey;

    /**
     * 分类名称
     */
    private String foodcategoryname;

    /**
     * 菜品的子类型
     */
    private String foodsubtype;

    /**
     * 对应收入科目Key
     */
    private String foodsubjectkey;

    /**
     * 对应收入科目编号
     */
    private String foodsubjectcode;

    /**
     * 对应收入科目名称
     */
    private String foodsubjectname;

    /**
     * 出品部门Key列表，多个间用逗号隔开
     */
    private String departmentkeylst;

    /**
     * 第一出品部门
     */
    private String departmentkeyone;

    /**
     * 是否套餐（套餐及套餐明细此标记均为1）
     */
    private Byte issetfood;

    /**
     * 是否是套餐明细
     */
    private Byte issfdetail;

    /**
     * 是否配菜
     */
    private Byte isbatching;

    /**
     * 套餐明细所属的套餐分类名字
     */
    private String setfoodcategoryname;

    /**
     * 菜品Key
     */
    private String foodkey;

    /**
     * 菜品名称
     */
    private String foodname;

    /**
     * 菜品编码
     */
    private String foodcode;

    /**
     * 套餐名
     */
    private String setfoodname;

    /**
     * 套餐备注
     */
    private String setfoodremark;

    /**
     * 点菜数量
     */
    private BigDecimal foodnumber;

    /**
     * 退菜数量
     */
    private BigDecimal foodcancelnumber;

    /**
     * 最后一次退菜数量
     */
    private BigDecimal foodlastcancelnumber;

    /**
     * 赠菜数量
     */
    private BigDecimal foodsendnumber;

    /**
     * 退菜原因
     */
    private String cancelreason;

    /**
     * 退菜操作人员empCode|empName
     */
    private String cancelby;

    /**
     * 退菜时间
     */
    private Long canceltime;

    /**
     * 退菜授权人
     */
    private String foodcancelauthorizer;

    /**
     * 赠菜原因
     */
    private String sendreason;

    /**
     * 赠菜操作人员empCode|empName
     */
    private String sendby;

    /**
     * 赠菜时间
     */
    private Long sendtime;

    /**
     * 赠菜授权人
     */
    private String foodsendauthorizer;

    /**
     * 数量待确认 0:无需确认 1：需确认
     */
    private Byte isneedconfirmfoodnumber;

    /**
     * 是否临时菜
     */
    private Byte istempfood;

    /**
     * 菜品规格
     */
    private String unit;

    /**
     * 菜品规格Key 目前对应的是规格ID
     */
    private String unitkey;

    /**
     * 辅助规格
     */
    private String unitadjuvant;

    /**
     * 辅助规格数量
     */
    private BigDecimal unitadjuvantnumber;

    /**
     * 是否参与打折
     */
    private Byte isdiscount;

    /**
     * 是否参与打折（默认菜品是否参与打折）
     */
    private Byte isdiscountdefault;

    /**
     * 分类折扣率（当执行分类折扣方案时，此值表示此菜品在分类折扣中的折扣率）
     */
    private BigDecimal categorydiscountrate;

    /**
     * 单菜品折扣信息
     */
    private BigDecimal fooddiscountrate;

    /**
     * 菜品预估成本
     */
    private BigDecimal foodestimatecost;

    /**
     * 菜品特价时段特殊价格、区域特殊价格等等
     */
    private BigDecimal foodproprice;

    /**
     * 菜品的实收价格(除去均摊后的菜品单价)
     */
    private BigDecimal foodrealprice;

    /**
     * 菜品会员价
     */
    private BigDecimal foodvipprice;

    /**
     * 菜品成交价，优惠类别按照此价格为计数进行
     */
    private BigDecimal foodpayprice;

    /**
     * 菜品实收价格，根据折扣科目均摊计算之后的结果
     */
    private BigDecimal foodpaypricereal;

    /**
     * 菜品折前金额【套餐名字的折前金额为0，套餐明细摊后的折前金额=套餐折前总金额*（套餐明细单点金额/套餐明细单点折前金额合计）】
     */
    private BigDecimal foodpriceamount;

    /**
     * 菜品除去优惠后均摊实收金额
     */
    private BigDecimal foodrealamount;

    /**
     * 点菜要求
     */
    private String foodremark;

    /**
     * 单注
     */
    private String allfoodremark;

    /**
     * 改价原因
     */
    private String modifyreason;

    /**
     * 改价操作人员empCode|empName
     */
    private String modifyby;

    /**
     * 改价时间
     */
    private Long modifytime;

    /**
     * 菜品改价授权人
     */
    private String foodpricemodifyauthorizer;

    /**
     * 点菜人员
     */
    private String orderby;

    /**
     * 上菜划单人员
     */
    private String serveconfirmby;

    /**
     * 上菜划单时间
     */
    private Long serveconfirmtime;

    /**
     * 已配菜数量
     */
    private BigDecimal readynumber;

    /**
     * 已制作数量
     */
    private BigDecimal makeendnumber;

    /**
     * 已传菜数量
     */
    private BigDecimal transmitnumber;

    /**
     * 制作状态 0：等叫  1：即起  2：加急 20：制作中 25：请取餐 29：挂起 3：已上菜（已完成）
     */
    private Byte makestatus;

    /**
     * 制作开始时间
     */
    private Long makestarttime;

    /**
     * 制作人
     */
    private String makeby;

    /**
     * 制作取餐叫号次数
     */
    private Byte makecallcount;

    /**
     * 制作完成时间（上菜时间）
     */
    private Long makeendtime;

    /**
     * 制作完成数量
     */
    private BigDecimal makeendfoodnumber;

    /**
     * 打印状态 0：待打印 1：不打印 2：已打印
     */
    private Byte printstatus;

    /**
     * 操作批次号
     */
    private String actionbatchno;

    /**
     * 服务器MAC地址
     */
    private String servermac;

    /**
     * 点菜设备名称
     */
    private String devicename;

    /**
     * 菜品销售提成点值
     */
    private BigDecimal salescommission;

    /**
     * 菜品税率
     */
    private BigDecimal taxrate;

    /**
     * 客户端类型
     */
    private String clienttype;

    /**
     * 菜品使用的营销ID列表
     */
    private String promotionidlst;

    /**
     * 记录修改时间(改价、赠菜时间）
     */
    private Long actiontime;

    /**
     * 记录创建时间（点菜时间、退菜时间）
     */
    private Long createtime;

    /**
     * 菜品做法
     */
    private String foodpractice;

    /**
     * 菜品口味
     */
    private String foodtaste;

    /**
     * 
     */
    private Integer action;

    /**
     * 开台时间（yyyyMMddHHssnn)
     */
    private Long starttime;

    /**
     * 结账时间（yyyyMMddHHssnn)
     */
    private Long checkouttime;

    /**
     * 收银班次
     */
    private String shiftname;

    /**
     * 初次结账时的餐段名称(早餐，午餐，下午茶，晚餐，夜宵)
     */
    private String timenamecheckout;

    /**
     * 渠道名称
     */
    private String channelname;

    /**
     * 渠道Key
     */
    private String channelkey;

    /**
     * 赠菜金额
     */
    private BigDecimal foodsendprice;

    /**
     * 退菜菜金额合计
     */
    private BigDecimal cancelfoodamount;

    /**
     * 菜品可开票金额
     */
    private BigDecimal foodinvoiceamount;

    /**
     * 菜品别名
     */
    private String foodaliasname;

    /**
     * 套餐头折前总金额
     */
    private BigDecimal setfoodpriceamount;

    /**
     * 套餐头实收金额
     */
    private BigDecimal setfoodrealamount;

    /**
     * 解析时间
     */
    private Long analysistime;

    /**
     * 
     */
    private Date actionstamp;

    public Long getGroupid() {
        return groupid;
    }

    public void setGroupid(Long groupid) {
        this.groupid = groupid;
    }

    public Long getBrandid() {
        return brandid;
    }

    public void setBrandid(Long brandid) {
        this.brandid = brandid;
    }

    public Long getShopid() {
        return shopid;
    }

    public void setShopid(Long shopid) {
        this.shopid = shopid;
    }

    public String getSaasorderkey() {
        return saasorderkey;
    }

    public void setSaasorderkey(String saasorderkey) {
        this.saasorderkey = saasorderkey;
    }

    public String getShopname() {
        return shopname;
    }

    public void setShopname(String shopname) {
        this.shopname = shopname;
    }

    public Integer getOrderstatus() {
        return orderstatus;
    }

    public void setOrderstatus(Integer orderstatus) {
        this.orderstatus = orderstatus;
    }

    public Byte getOrdersubtype() {
        return ordersubtype;
    }

    public void setOrdersubtype(Byte ordersubtype) {
        this.ordersubtype = ordersubtype;
    }

    public String getItemkey() {
        return itemkey;
    }

    public void setItemkey(String itemkey) {
        this.itemkey = itemkey;
    }

    public String getParentfoodfromitemkey() {
        return parentfoodfromitemkey;
    }

    public void setParentfoodfromitemkey(String parentfoodfromitemkey) {
        this.parentfoodfromitemkey = parentfoodfromitemkey;
    }

    public String getAreaname() {
        return areaname;
    }

    public void setAreaname(String areaname) {
        this.areaname = areaname;
    }

    public String getTablename() {
        return tablename;
    }

    public void setTablename(String tablename) {
        this.tablename = tablename;
    }

    public Integer getFoodcategorysortindex() {
        return foodcategorysortindex;
    }

    public void setFoodcategorysortindex(Integer foodcategorysortindex) {
        this.foodcategorysortindex = foodcategorysortindex;
    }

    public String getFoodcategorykey() {
        return foodcategorykey;
    }

    public void setFoodcategorykey(String foodcategorykey) {
        this.foodcategorykey = foodcategorykey;
    }

    public String getFoodcategoryname() {
        return foodcategoryname;
    }

    public void setFoodcategoryname(String foodcategoryname) {
        this.foodcategoryname = foodcategoryname;
    }

    public String getFoodsubtype() {
        return foodsubtype;
    }

    public void setFoodsubtype(String foodsubtype) {
        this.foodsubtype = foodsubtype;
    }

    public String getFoodsubjectkey() {
        return foodsubjectkey;
    }

    public void setFoodsubjectkey(String foodsubjectkey) {
        this.foodsubjectkey = foodsubjectkey;
    }

    public String getFoodsubjectcode() {
        return foodsubjectcode;
    }

    public void setFoodsubjectcode(String foodsubjectcode) {
        this.foodsubjectcode = foodsubjectcode;
    }

    public String getFoodsubjectname() {
        return foodsubjectname;
    }

    public void setFoodsubjectname(String foodsubjectname) {
        this.foodsubjectname = foodsubjectname;
    }

    public String getDepartmentkeylst() {
        return departmentkeylst;
    }

    public void setDepartmentkeylst(String departmentkeylst) {
        this.departmentkeylst = departmentkeylst;
    }

    public String getDepartmentkeyone() {
        return departmentkeyone;
    }

    public void setDepartmentkeyone(String departmentkeyone) {
        this.departmentkeyone = departmentkeyone;
    }

    public Byte getIssetfood() {
        return issetfood;
    }

    public void setIssetfood(Byte issetfood) {
        this.issetfood = issetfood;
    }

    public Byte getIssfdetail() {
        return issfdetail;
    }

    public void setIssfdetail(Byte issfdetail) {
        this.issfdetail = issfdetail;
    }

    public Byte getIsbatching() {
        return isbatching;
    }

    public void setIsbatching(Byte isbatching) {
        this.isbatching = isbatching;
    }

    public String getSetfoodcategoryname() {
        return setfoodcategoryname;
    }

    public void setSetfoodcategoryname(String setfoodcategoryname) {
        this.setfoodcategoryname = setfoodcategoryname;
    }

    public String getFoodkey() {
        return foodkey;
    }

    public void setFoodkey(String foodkey) {
        this.foodkey = foodkey;
    }

    public String getFoodname() {
        return foodname;
    }

    public void setFoodname(String foodname) {
        this.foodname = foodname;
    }

    public String getFoodcode() {
        return foodcode;
    }

    public void setFoodcode(String foodcode) {
        this.foodcode = foodcode;
    }

    public String getSetfoodname() {
        return setfoodname;
    }

    public void setSetfoodname(String setfoodname) {
        this.setfoodname = setfoodname;
    }

    public String getSetfoodremark() {
        return setfoodremark;
    }

    public void setSetfoodremark(String setfoodremark) {
        this.setfoodremark = setfoodremark;
    }

    public BigDecimal getFoodnumber() {
        return foodnumber;
    }

    public void setFoodnumber(BigDecimal foodnumber) {
        this.foodnumber = foodnumber;
    }

    public BigDecimal getFoodcancelnumber() {
        return foodcancelnumber;
    }

    public void setFoodcancelnumber(BigDecimal foodcancelnumber) {
        this.foodcancelnumber = foodcancelnumber;
    }

    public BigDecimal getFoodlastcancelnumber() {
        return foodlastcancelnumber;
    }

    public void setFoodlastcancelnumber(BigDecimal foodlastcancelnumber) {
        this.foodlastcancelnumber = foodlastcancelnumber;
    }

    public BigDecimal getFoodsendnumber() {
        return foodsendnumber;
    }

    public void setFoodsendnumber(BigDecimal foodsendnumber) {
        this.foodsendnumber = foodsendnumber;
    }

    public String getCancelreason() {
        return cancelreason;
    }

    public void setCancelreason(String cancelreason) {
        this.cancelreason = cancelreason;
    }

    public String getCancelby() {
        return cancelby;
    }

    public void setCancelby(String cancelby) {
        this.cancelby = cancelby;
    }

    public Long getCanceltime() {
        return canceltime;
    }

    public void setCanceltime(Long canceltime) {
        this.canceltime = canceltime;
    }

    public String getFoodcancelauthorizer() {
        return foodcancelauthorizer;
    }

    public void setFoodcancelauthorizer(String foodcancelauthorizer) {
        this.foodcancelauthorizer = foodcancelauthorizer;
    }

    public String getSendreason() {
        return sendreason;
    }

    public void setSendreason(String sendreason) {
        this.sendreason = sendreason;
    }

    public String getSendby() {
        return sendby;
    }

    public void setSendby(String sendby) {
        this.sendby = sendby;
    }

    public Long getSendtime() {
        return sendtime;
    }

    public void setSendtime(Long sendtime) {
        this.sendtime = sendtime;
    }

    public String getFoodsendauthorizer() {
        return foodsendauthorizer;
    }

    public void setFoodsendauthorizer(String foodsendauthorizer) {
        this.foodsendauthorizer = foodsendauthorizer;
    }

    public Byte getIsneedconfirmfoodnumber() {
        return isneedconfirmfoodnumber;
    }

    public void setIsneedconfirmfoodnumber(Byte isneedconfirmfoodnumber) {
        this.isneedconfirmfoodnumber = isneedconfirmfoodnumber;
    }

    public Byte getIstempfood() {
        return istempfood;
    }

    public void setIstempfood(Byte istempfood) {
        this.istempfood = istempfood;
    }

    public String getUnit() {
        return unit;
    }

    public void setUnit(String unit) {
        this.unit = unit;
    }

    public String getUnitkey() {
        return unitkey;
    }

    public void setUnitkey(String unitkey) {
        this.unitkey = unitkey;
    }

    public String getUnitadjuvant() {
        return unitadjuvant;
    }

    public void setUnitadjuvant(String unitadjuvant) {
        this.unitadjuvant = unitadjuvant;
    }

    public BigDecimal getUnitadjuvantnumber() {
        return unitadjuvantnumber;
    }

    public void setUnitadjuvantnumber(BigDecimal unitadjuvantnumber) {
        this.unitadjuvantnumber = unitadjuvantnumber;
    }

    public Byte getIsdiscount() {
        return isdiscount;
    }

    public void setIsdiscount(Byte isdiscount) {
        this.isdiscount = isdiscount;
    }

    public Byte getIsdiscountdefault() {
        return isdiscountdefault;
    }

    public void setIsdiscountdefault(Byte isdiscountdefault) {
        this.isdiscountdefault = isdiscountdefault;
    }

    public BigDecimal getCategorydiscountrate() {
        return categorydiscountrate;
    }

    public void setCategorydiscountrate(BigDecimal categorydiscountrate) {
        this.categorydiscountrate = categorydiscountrate;
    }

    public BigDecimal getFooddiscountrate() {
        return fooddiscountrate;
    }

    public void setFooddiscountrate(BigDecimal fooddiscountrate) {
        this.fooddiscountrate = fooddiscountrate;
    }

    public BigDecimal getFoodestimatecost() {
        return foodestimatecost;
    }

    public void setFoodestimatecost(BigDecimal foodestimatecost) {
        this.foodestimatecost = foodestimatecost;
    }

    public BigDecimal getFoodproprice() {
        return foodproprice;
    }

    public void setFoodproprice(BigDecimal foodproprice) {
        this.foodproprice = foodproprice;
    }

    public BigDecimal getFoodrealprice() {
        return foodrealprice;
    }

    public void setFoodrealprice(BigDecimal foodrealprice) {
        this.foodrealprice = foodrealprice;
    }

    public BigDecimal getFoodvipprice() {
        return foodvipprice;
    }

    public void setFoodvipprice(BigDecimal foodvipprice) {
        this.foodvipprice = foodvipprice;
    }

    public BigDecimal getFoodpayprice() {
        return foodpayprice;
    }

    public void setFoodpayprice(BigDecimal foodpayprice) {
        this.foodpayprice = foodpayprice;
    }

    public BigDecimal getFoodpaypricereal() {
        return foodpaypricereal;
    }

    public void setFoodpaypricereal(BigDecimal foodpaypricereal) {
        this.foodpaypricereal = foodpaypricereal;
    }

    public BigDecimal getFoodpriceamount() {
        return foodpriceamount;
    }

    public void setFoodpriceamount(BigDecimal foodpriceamount) {
        this.foodpriceamount = foodpriceamount;
    }

    public BigDecimal getFoodrealamount() {
        return foodrealamount;
    }

    public void setFoodrealamount(BigDecimal foodrealamount) {
        this.foodrealamount = foodrealamount;
    }

    public String getFoodremark() {
        return foodremark;
    }

    public void setFoodremark(String foodremark) {
        this.foodremark = foodremark;
    }

    public String getAllfoodremark() {
        return allfoodremark;
    }

    public void setAllfoodremark(String allfoodremark) {
        this.allfoodremark = allfoodremark;
    }

    public String getModifyreason() {
        return modifyreason;
    }

    public void setModifyreason(String modifyreason) {
        this.modifyreason = modifyreason;
    }

    public String getModifyby() {
        return modifyby;
    }

    public void setModifyby(String modifyby) {
        this.modifyby = modifyby;
    }

    public Long getModifytime() {
        return modifytime;
    }

    public void setModifytime(Long modifytime) {
        this.modifytime = modifytime;
    }

    public String getFoodpricemodifyauthorizer() {
        return foodpricemodifyauthorizer;
    }

    public void setFoodpricemodifyauthorizer(String foodpricemodifyauthorizer) {
        this.foodpricemodifyauthorizer = foodpricemodifyauthorizer;
    }

    public String getOrderby() {
        return orderby;
    }

    public void setOrderby(String orderby) {
        this.orderby = orderby;
    }

    public String getServeconfirmby() {
        return serveconfirmby;
    }

    public void setServeconfirmby(String serveconfirmby) {
        this.serveconfirmby = serveconfirmby;
    }

    public Long getServeconfirmtime() {
        return serveconfirmtime;
    }

    public void setServeconfirmtime(Long serveconfirmtime) {
        this.serveconfirmtime = serveconfirmtime;
    }

    public BigDecimal getReadynumber() {
        return readynumber;
    }

    public void setReadynumber(BigDecimal readynumber) {
        this.readynumber = readynumber;
    }

    public BigDecimal getMakeendnumber() {
        return makeendnumber;
    }

    public void setMakeendnumber(BigDecimal makeendnumber) {
        this.makeendnumber = makeendnumber;
    }

    public BigDecimal getTransmitnumber() {
        return transmitnumber;
    }

    public void setTransmitnumber(BigDecimal transmitnumber) {
        this.transmitnumber = transmitnumber;
    }

    public Byte getMakestatus() {
        return makestatus;
    }

    public void setMakestatus(Byte makestatus) {
        this.makestatus = makestatus;
    }

    public Long getMakestarttime() {
        return makestarttime;
    }

    public void setMakestarttime(Long makestarttime) {
        this.makestarttime = makestarttime;
    }

    public String getMakeby() {
        return makeby;
    }

    public void setMakeby(String makeby) {
        this.makeby = makeby;
    }

    public Byte getMakecallcount() {
        return makecallcount;
    }

    public void setMakecallcount(Byte makecallcount) {
        this.makecallcount = makecallcount;
    }

    public Long getMakeendtime() {
        return makeendtime;
    }

    public void setMakeendtime(Long makeendtime) {
        this.makeendtime = makeendtime;
    }

    public BigDecimal getMakeendfoodnumber() {
        return makeendfoodnumber;
    }

    public void setMakeendfoodnumber(BigDecimal makeendfoodnumber) {
        this.makeendfoodnumber = makeendfoodnumber;
    }

    public Byte getPrintstatus() {
        return printstatus;
    }

    public void setPrintstatus(Byte printstatus) {
        this.printstatus = printstatus;
    }

    public String getActionbatchno() {
        return actionbatchno;
    }

    public void setActionbatchno(String actionbatchno) {
        this.actionbatchno = actionbatchno;
    }

    public String getServermac() {
        return servermac;
    }

    public void setServermac(String servermac) {
        this.servermac = servermac;
    }

    public String getDevicename() {
        return devicename;
    }

    public void setDevicename(String devicename) {
        this.devicename = devicename;
    }

    public BigDecimal getSalescommission() {
        return salescommission;
    }

    public void setSalescommission(BigDecimal salescommission) {
        this.salescommission = salescommission;
    }

    public BigDecimal getTaxrate() {
        return taxrate;
    }

    public void setTaxrate(BigDecimal taxrate) {
        this.taxrate = taxrate;
    }

    public String getClienttype() {
        return clienttype;
    }

    public void setClienttype(String clienttype) {
        this.clienttype = clienttype;
    }

    public String getPromotionidlst() {
        return promotionidlst;
    }

    public void setPromotionidlst(String promotionidlst) {
        this.promotionidlst = promotionidlst;
    }

    public Long getActiontime() {
        return actiontime;
    }

    public void setActiontime(Long actiontime) {
        this.actiontime = actiontime;
    }

    public Long getCreatetime() {
        return createtime;
    }

    public void setCreatetime(Long createtime) {
        this.createtime = createtime;
    }

    public String getFoodpractice() {
        return foodpractice;
    }

    public void setFoodpractice(String foodpractice) {
        this.foodpractice = foodpractice;
    }

    public String getFoodtaste() {
        return foodtaste;
    }

    public void setFoodtaste(String foodtaste) {
        this.foodtaste = foodtaste;
    }

    public Integer getAction() {
        return action;
    }

    public void setAction(Integer action) {
        this.action = action;
    }

    public Long getStarttime() {
        return starttime;
    }

    public void setStarttime(Long starttime) {
        this.starttime = starttime;
    }

    public Long getCheckouttime() {
        return checkouttime;
    }

    public void setCheckouttime(Long checkouttime) {
        this.checkouttime = checkouttime;
    }

    public String getShiftname() {
        return shiftname;
    }

    public void setShiftname(String shiftname) {
        this.shiftname = shiftname;
    }

    public String getTimenamecheckout() {
        return timenamecheckout;
    }

    public void setTimenamecheckout(String timenamecheckout) {
        this.timenamecheckout = timenamecheckout;
    }

    public String getChannelname() {
        return channelname;
    }

    public void setChannelname(String channelname) {
        this.channelname = channelname;
    }

    public String getChannelkey() {
        return channelkey;
    }

    public void setChannelkey(String channelkey) {
        this.channelkey = channelkey;
    }

    public BigDecimal getFoodsendprice() {
        return foodsendprice;
    }

    public void setFoodsendprice(BigDecimal foodsendprice) {
        this.foodsendprice = foodsendprice;
    }

    public BigDecimal getCancelfoodamount() {
        return cancelfoodamount;
    }

    public void setCancelfoodamount(BigDecimal cancelfoodamount) {
        this.cancelfoodamount = cancelfoodamount;
    }

    public BigDecimal getFoodinvoiceamount() {
        return foodinvoiceamount;
    }

    public void setFoodinvoiceamount(BigDecimal foodinvoiceamount) {
        this.foodinvoiceamount = foodinvoiceamount;
    }

    public String getFoodaliasname() {
        return foodaliasname;
    }

    public void setFoodaliasname(String foodaliasname) {
        this.foodaliasname = foodaliasname;
    }

    public BigDecimal getSetfoodpriceamount() {
        return setfoodpriceamount;
    }

    public void setSetfoodpriceamount(BigDecimal setfoodpriceamount) {
        this.setfoodpriceamount = setfoodpriceamount;
    }

    public BigDecimal getSetfoodrealamount() {
        return setfoodrealamount;
    }

    public void setSetfoodrealamount(BigDecimal setfoodrealamount) {
        this.setfoodrealamount = setfoodrealamount;
    }

    public Long getAnalysistime() {
        return analysistime;
    }

    public void setAnalysistime(Long analysistime) {
        this.analysistime = analysistime;
    }

    public Date getActionstamp() {
        return actionstamp;
    }

    public void setActionstamp(Date actionstamp) {
        this.actionstamp = actionstamp;
    }
}